import { transformShortVmodel } from '@vue-macros/short-vmodel'
import Vue from '@vitejs/plugin-vue'

// @ts-expect-error failed to resolve types
import VueMacros from 'unplugin-vue-macros/vite'

export default () => {
  return VueMacros({
    plugins: {
      vue: Vue({
        include: [/\.vue$/, /\.md$/],
        reactivityTransform: true,
        template: {
          compilerOptions: {
            nodeTransforms: [
              transformShortVmodel({ prefix: '::' }),
            ],
          },
        },
      }),
    },
  })
}
